module myModule5

  use iso_c_binding

  contains
  subroutine sort(arrlen, array) bind(C)
    integer (C_INT), bind(C) :: arrlen
    real (C_FLOAT), bind(C) :: array(arrlen)
    real :: temp
    integer :: i, j
    logical :: swapped
    do i = 1, arrlen - 1
      swapped = .false.
      do j = i + 1, arrlen
        if (array(i) > array(j)) then
          temp = array(i)
          array(i) = array(j)
          array(j) = temp
          swapped = .true.
        endif
      enddo
      if (.not. swapped) exit
    enddo
  end subroutine

end module
